Import receipt
curl --request POST \
--url https://sandbox.layerfi.com/v1/businesses/{businessId}/receipts/import \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form file='@example-file' \
--form 'context=<string>'import requests
url = "https://sandbox.layerfi.com/v1/businesses/{businessId}/receipts/import"
files = { "file": ("example-file", open("example-file", "rb")) }
payload = { "context": "<string>" }
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, data=payload, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('file', '<string>');
form.append('context', '<string>');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://sandbox.layerfi.com/v1/businesses/{businessId}/receipts/import', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"business_document_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_s3_document_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source": "BOOKKEEPER_UPLOAD",
"status": "READY_FOR_BILL",
"proposed_line_items": [
{
"description": "<string>",
"proposed_amount_cents": 123,
"proposed_account": {
"type": "Single_Chart_Account",
"id": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"name": "Current Assets",
"account_number": "4000",
"stable_name": {
"type": "StableName",
"stable_name": "CURRENT_ASSETS"
},
"normality": "DEBIT",
"account_type": {
"value": "ASSET",
"display_name": "Asset"
},
"account_subtype": {
"value": "BANK_ACCOUNTS",
"display_name": "Current Assets"
}
}
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"type": "Receipt_Parse_Result",
"message_log_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"bill_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"proposed_paid_at": "2023-11-07T05:31:56Z",
"proposed_vendor_display": "<string>",
"proposed_vendor_external_id": "<string>",
"matched_vendor": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"display_name": "<string>",
"external_id": "<string>"
},
"proposed_amount_cents": 123,
"rejected_at": "2023-11-07T05:31:56Z"
}
]
}{
"type": "InvalidParameters",
"description": "<string>",
"error_enum": "InvalidPayload",
"meta": {}
}{
"type": "InvalidParameters",
"description": "<string>",
"error_enum": "InvalidPayload",
"meta": {}
}Documents
Import receipt
Upload a single receipt for parsing on behalf of a business, such as an image or PDF submitted by a customer or platform. The uploaded file is run through Layer’s receipt parsing pipeline, which proposes a vendor, amount, and line items that can be reviewed and turned into a bill. This endpoint expects a multipart upload.
POST
/
v1
/
businesses
/
{businessId}
/
receipts
/
import
Import receipt
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Content-Type must be set to multipart/form-data.
Path Parameters
The UUID of the business to import the receipt for.
Body
multipart/form-data
Response
Receipt uploaded and parsed successfully.
Show child attributes
Show child attributes
⌘I